#ifndef GNUCCOMPILER_H_
#define GNUCCOMPILER_H_

#include "gnucompiler.h"

/**
The GNU C compiler, commonly known as gcc.
*/
class GnuCCompiler: public GnuCompiler
{
public:
	GnuCCompiler(Builder &, const Architecture &, const Msp::FS::Path & = Msp::FS::Path());

	virtual Target *create_source(const Component &, const Msp::FS::Path &) const;
	virtual Target *create_source(const Msp::FS::Path &) const;
};

#endif
