#ifndef GNUCXXCOMPILER_H_
#define GNUCXXCOMPILER_H_

#include "gnucompiler.h"

/**
The GNU C++ compiler, commonly known as g++.
*/
class GnuCxxCompiler: public GnuCompiler
{
public:
	GnuCxxCompiler(Builder &, const Architecture &, const Msp::FS::Path & = Msp::FS::Path());

	virtual Target *create_source(const Component &, const Msp::FS::Path &) const;
	virtual Target *create_source(const Msp::FS::Path &) const;

protected:
	virtual void do_prepare();
};

#endif
